Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSensorInfo Class Reference
GoSdk

## Description

Represents read-only sensor information.

Inherits kObject.

## Public Member Functions
k32u | GoSensorInfo_BuddyId (GoSensorInfo info)
| Gets the ID of the buddy device which provided the sensor information. More...
kVersion | GoSensorInfo_Firmware (GoSensorInfo info)
| Gets the firmware version of the sensor which provided the sensor information. More...
kBool | GoSensorInfo_HasBuddy (GoSensorInfo info)
| Indicates whether the device providing the sensor information has a buddy device connected. More...
k32u | GoSensorInfo_Id (GoSensorInfo info)
| Gets the source ID of the sensor information. More...
kStatus | GoSensorInfo_Model (GoSensorInfo info, kChar *model, k32u capacity)
| Gets the model string of the sensor which provided the sensor information. More...
GoRole | GoSensorInfo_Role (GoSensorInfo info)
| Gets the role of the sensor which provided the sensor information. More...
GoState | GoSensorInfo_State (GoSensorInfo info)
| Gets the state of the device which provided the sensor information. More...
GoAlignmentState | GoSensorInfo_TransformState (GoSensorInfo info)
| Gets the alignment state of the device which provided the sensor information. More...
GoUser | GoSensorInfo_User (GoSensorInfo info)
| Gets the user currently connected to the device which provided the sensor information. More...

## Member Function Documentation

k32u GoSensorInfo_BuddyId | ( | GoSensorInfo | info | ) |

Gets the ID of the buddy device which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  The buddy device ID. 0 is returned if there is no buddy assigned.

kVersion GoSensorInfo_Firmware | ( | GoSensorInfo | info | ) |

Gets the firmware version of the sensor which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  The firmware version.

kBool GoSensorInfo_HasBuddy | ( | GoSensorInfo | info | ) |

Indicates whether the device providing the sensor information has a buddy device connected.

Parameters

  info | GoSensorInfo object.

Returns
  kTRUE if the device has a buddy and kFALSE otherwise.

k32u GoSensorInfo_Id | ( | GoSensorInfo | info | ) |

Gets the source ID of the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  The information source sensor ID.

kStatus GoSensorInfo_Model | ( | GoSensorInfo | info,
|  | kChar * | model,
|  | k32u | capacity
| ) |  |

Gets the model string of the sensor which provided the sensor information.

Parameters

  info | GoSensorInfo object.
  model | A character array pointer.
  capacity | The character array capacity.

Returns
  Operation status.

GoRole GoSensorInfo_Role | ( | GoSensorInfo | info | ) |

Gets the role of the sensor which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  The sensor role.

GoState GoSensorInfo_State | ( | GoSensorInfo | info | ) |

Gets the state of the device which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  Device state.

GoAlignmentState GoSensorInfo_TransformState | ( | GoSensorInfo | info | ) |

Gets the alignment state of the device which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  Alignment state.

GoUser GoSensorInfo_User | ( | GoSensorInfo | info | ) |

Gets the user currently connected to the device which provided the sensor information.

Parameters

  info | GoSensorInfo object.

Returns
  The user currently connected to the device.

The documentation for this class was generated from the following file:

- GoSensorInfo.h